WL#9217: Remove the code in log_event_old.cc

Affects: Server-8.0   —   Status: Complete   —   Priority: Medium

code in log_event_old.cc is for generating and applying PRE_GA_XXX_ROWS_EVENT
which are generated only between MySQL-5.1.0 and MySQL-5.1.15(before GA).
The code is kept just for cross version compatibility. Now it is time to
remove them from MySQL-8.0 That will simplify replication code and improve code
readability.
This worklog just removes some code. So no design specification.